<template>
  <div class="hash">
    <p><strong>Hash:</strong> {{hash.hash}}</p>
    <p><strong>Remaining Views:</strong> {{hash.remainingViews}}</p>
    <p><strong>Created At:</strong> {{hash.createdAt}}</p>
    <p><strong>Expires At:</strong> {{hash.createdAt === hash.expiresAt ? 'Never expires' : hash.expiresAt}}</p>
  </div>
</template>

<script>
  export default {
    name: 'Hash',
    props: {
      hash: Object,
    },
  }
</script>

<style scoped lang="scss">
  .hash {
    border: 2px solid $text-dark;
    border-radius: 5px;
    margin-bottom: 1rem;
    padding: 0.5rem;
    text-align: left;

    p {
      margin: 0.2rem 0;
      word-wrap: break-word;
    }
  }
</style>
